---
title: Inquiry details
description: Learn how to integrate and utilize the HELOC Details API
---

Anywhere in the flow of an inquiry or app, the existing details can be fetched
for processing or display.

Any of these fields may be `null`, depending on whether data is yet available.

Additionally, the app/inquiry details are returned as a response to other
requests when synchronous requests are made.

## Request

```txt {% title="URL" %}
GET https://api.figure.com/products/heloc/v1/details/{appUuid}
```

By default, certain sections of the response payload are omitted for privacy and security.
To request these additional sections, use the `include` query parameter in your request.
The following values are supported:
- `CONDITIONS`
- `FUNDING_REPORT`
- `BORROWER_DETAILS`

You may specify one or more values, using either repeated parameters or a comma-separated list.

For example:

```
?include=CONDITIONS&include=FUNDING_REPORT
```

```
?include=FUNDING_REPORT,CONDITIONS
```

{% callout type="warning" title="Note" %}
Borrower details is not returned **by default** with the application details, to avoid transmitting PII unnecessarily.
We recommend encrypting responses when this is necessary.
{% /callout %}

## Response

```json5 {% title="Payload" %}
{
  "data": {
    "organization": string,
    "appUuid": string,  // UUID format
    "appShortId": string,  // User-friendly ID
    "borrowerAppLink": string,
    "appData": {
      "isInquiry": boolean,
      "isBridgeLoan": boolean,
      "startedAsInquiry": boolean,
      "autopay": boolean,
      "status": string,
      "overallStatus": string,
      "nextInquiryStep": string,  // enum NextInquiryStepType
      "keyDates": {
        "createdDate": string,  // YYYY-MM-DD format
        "expirationDate": string,  // YYYY-MM-DD format
        "rescissionEndDate": string,  // YYYY-MM-DD format
        "signingDate": string,  // YYYY-MM-DD format
        "completedDate": string,  // YYYY-MM-DD format
        "canceledDate": string,  // YYYY-MM-DD format
        "declinedDate": string, // YYYY-MM-DD format
        "summaryDisclosureDate": string, // YYYY-MM-DD format
        "productAgreementESignedTimestamp": string, // YYYY-MM-DD format
        "firstPaymentDueDate": string,  // YYYY-MM-DD
        "expectedPayoffDate": string,  // YYYY-MM-DD
        "lastStatusUpdateDate": string  // YYYY-MM-DD format
      },
      "propertyAddress": {
        "street1": string,
        "street2": string,  // apt # or other street identifier
        "city": string,
        "state": string,  // 2-letter state code
        "zip": string
      },
      "propertyDetails": {
        "county": string,
        "propertyType": string, // enum PropertyType
        "corelogicPropertyId": string,
        "propertyUuid": string, // UUID format
        "lotSquareFeet": number,
        "propertyFloodZone": string,
        "landUseDescription": string,
        "landUseCode": string,
        "buildingGrossArea": number,
        "propertyAcres": number,
      },
      "statusReasons": [
        string
      ],
      "costs": {
        "fixedCosts": [
          {
            "type": string, // enum CostType
            "borrowerPaidAmount": number
          }
          ...
        ],
        "dynamicCosts": [
          ... // same as fixedCosts
        ],
        "totalPaidByBorrower": number
      },
      "ddpDetails": {
        "paidLiabilityPayoffAmount": number,
        "totalLiabilityPayoffAmount": number,
        "liabilityPayoffAllocatedAmountDtiImpacting": number,
        "liabilityPayoffAllocatedAmountNonDtiImpacting": number,
        "lienPositionAfterPayoff": number,
        "existingLiabilities": {
          "eligible": [
            {
              "id": string,
              "rateType": string, // enum RateType 
              "liabilitySubType": string, // enum LiabilitySubType 
              "lastDigitsOfAccountNumber": string,
              "monetaryBalance": number,
              "interestRatePercentage": number,
              "interestRatePercentageMax": number,
              "interestRatePercentageMin": number,
              "payOffStatus": string, // enum PayOffStatusType
              "creditorName": string,
              "liabilityType": string, // enum LiabilityType
              "providesDtiCredit": boolean,
              "providesCltvCredit": boolean,
              "providesLienPositionCredit": boolean,
              "reasons": [ // will only be set for ineligible liabilities
                "unavailableReason": string, // enum UnavailableReason
                "description": string,
              ]
            },
          ],
          "ineligible": [
              {
                ... // same as eligible
              }
            ]
          ]
        }
      },
      "borrowerDetails": {
        "primary": {
          "identityUuid": string, // UUID format
          "email": string,
          "firstName": string,
          "middleName": string,
          "lastName": string,
          "suffix": string,
          "prefix": string,
          "dob": string, // YYYY-MM-DD format
          "address": {
            "street1": string,
            "street2": string,  // apt # or other street identifier
            "city": string,
            "state": string,  // 2-letter state code
            "zip": string
          },
          "phoneNumber": string,
        },
        "additionalSigners": [
          {
            ... // Same as primary
          }
        ]
      },
      "assignedUsers": [
        {
          "userUuid": string // UUID format
        }
      ],
      "statusHistory": [
        {
          "overallStatus": string,
          "status": string,
          "timestamp": string  // YYYY-MM-DD format
        }
        ...
      ],
      "conditions": [{
        {
          "active": boolean,
          "name": string,
          "createdDate": string, // YYYY-MM-DD format
          "lastUpdateDate": string // YYYY-MM-DD format
        }
        ...      
      }],
      "demographics": {
        "hispanicOrLatinoEthnicityType": boolean,
        "ethnicityRefusal": boolean,
        "otherEthnicityDescription": boolean,
        "genderRefusal": boolean,
        "raceRefusal": boolean,
        "raceAsianAdditionalDescription": boolean,
        "racePacificIslanderAdditionalDescription": boolean,
        "ethnicityCollectedBasedOnVisualObservationOrSurname": boolean,
        "genderCollectedBasedOnVisualObservationOrName": boolean,
        "raceCollectedBasedOnVisualObservationOrSurname": boolean,
        "tribeName": string,
        "notHispanicOrLatino": boolean,
        "ethnicityOriginTypes": [
          string
        ],
        "genderTypes": [
          string
        ],
         "raceTypes": [
          string
        ],
        "raceDesignationTypes": [
          string
        ]
      },
      "thirdPartyIntegrations": {
        "externalPartnerApplicationId": string,
        "externalPartnerReferenceId": string,
        "externalPartnerCustomerId": string
      },
      "utmParameters": {
        "source": string,
        "medium": string,
        "campaign": string,
        "content": string,
        "term": string
      },
      "fundingTransactionReport": {
        "transactions": [
          {
            "id": string,
            "amount": number,
            "initiatedAt": string, // YYYY-MM-DD format
            "effectiveDate": string, // YYYY-MM-DD format
            "paymentRail": string, // enum PaymentRailType
            "status": string, // enum FundingTransactionStatusType
            "messageUuid": string, // UUID format
            "sentAt": string, // YYYY-MM-DD format
            "batchingCategory": string 
          }
          ...
        ]
      },
      "ownershipType": string,  // enum OwnershipType
      "financingPurpose": string,  // enum FinancingPurposeType
      "propertyLiens": [
        {
          "lienUuid": string,  // UUID format
          "originationDate": string,  // YYYY-MM-DD
          "lenderName": string,
          "originalBalance": number,
          "currentBalance": number,
          "monthlyPayment": number,
          "lienPosition": number
        },
        ...
      ],
      "hudLiens": [
        ... // same as propertyLiens
      ],
      "underwriting": {
        "decision": string,
        "minOfferAmount": number,
        "maxOfferAmount": number,
        "minOfferRate": number,
        "maxOfferRate": number,
        "ofeeMaxThreshold": number,
        "softCredit": {
          "provider": string, // enum UnderwritingCreditProvider
          "score": number,
          "timestamp": string  // YYYY-MM-DD
        },
        "hardCredit": {
          ... // Same as softCredit
        },
        "monthlyIncome": number,
        "statedMonthlyIncome": number,
        "preLoanDti": number,
        "postLoanDti": number,
        "statedDti": number,
        "coDeedStatus": string, //enum CoDeedStatusType
        "floodInsured": boolean,
        "homeownersInsured": boolean,
        "employmentType": string,
        "homeForSaleMlsResponse": boolean,
        "homeForSaleBorrowerAttested": boolean,
        "pricingAsOfDate": string,  // YYYY-MM-DD
        "creditAsOfDate": string,  // YYYY-MM-DD
        "guidelineVersion": string,
        "finalAvmFsd": number,
        "prequalFsd": number,
        "offers": [
          {
            "uuid": string,  // UUID format
            "minAmount": number,
            "maxAmount": number,
            "rate": number,
            "primeRate": number,
            "term": number,
            "rateType": string,  // enum OfferRateType
            "originationFeePercent": number,
            "preDiscountOriginationFee": number,
            "appliedOriginationFeeCapAmount": number, // The maximum origination fee that can be applied to this offer
            "discounts": [
              {
                "type": string,  // partner-specific enum
                "rateDiscountAmount": number
              }
            ]
          },
          ...
        ],
        "selectedOffer": {
          "offerUuid": string,  // UUID format
          "loanAmount": number,
          "drawAmount": number,
          "estimatedMonthlyPayment": number,
          "rate": number,
          "primeRate": number,
          "term": number,
          "rateType": string,  // enum OfferRateType
          "originationFeePercent": number,
          "originationFee": number,  // deprecated, use originationFeePercent
          "originationFeeAmount": number,
          "creditLine": number,
          "selectedDiscounts": [
            {
              "type": string,  // partner-specific enum
              "rateDiscountAmount": number
            }
          ]
        }
      },
      "propertyValue": {
        "borrowerEstimatedValue": number,
        "propertyAvmValue": number,
        "preLoanCltv": number,
        "postLoanCltv": number,
        "preLoanAdjCltv": number,
        "postLoanAdjCltv": number,
        "postLoanAdjMinCltv": number
      },
      "manualNotary": {
        "manualNotaryDate": string,  // YYYY-MM-DD
        "manualNotaryFee": number
      },
      "notary": {
        "type": string,  // enum NotaryType
        "fee": number,
        "appointmentDate": string,  // YYYY-MM-DD
        "completedDate": string  // YYYY-MM-DD
      },
      // optional-start
      "authorizedSignatory": {
        "authorizedSignatoryName": string,
        "authorizedSignatoryDate": string  // YYYY-MM-DD format
      },
      // optional-end
      "businessInfo": {
        "entityName": string,
        "entityType": string,  // enum EntityType
        // optional-start
        "ownershipPercentage": number,
        "totalMonthlyRevenue": number,
        "ein": string,
        "stateOfIncorporation": string,  // 2-letter state code
        "address": {
          "street1": string,
          "street2": string,  // apt # or other street identifier
          "city": string,
          "state": string,  // 2-letter state code
          "zip": string
        }
        // optional-end
      }
    },
    "loanOriginatorData": {
      "loanOriginatorUuid": string,  // UUID format
      "brokerUuid": string,  // UUID format
      "nmls": string,
      "companyNmls": string,
      "externalId": string,
      "companyDbaName": string,
      "email": string,
      "licenses": { // Each sub-object follows a common license format
        "lenderLicense": {
          "licenseHolder": {
            "type": string,  // enum LicenseHolderType
            "uuid": string,  // UUID format
            "name": string,
            "nmls": string
          },
          "stateLicense": {
            "type": string,  // enum LicenseStateType
            "uuid": string,  // UUID format
            "licenseNumber": string,
            "licenseName": string,
            "state": string // 2-letter state code
          }
        },
        "loanOriginatorLicense": {
          ... // Same as lenderLicense
        },
        "brokerLicense": {
          ... // Same as lenderLicense
        }
      }
    },
    "testVariants": {
      "variants": [
        {
          "name": string // A/B test variant identifier applied to this lead
        }
      ]
    }
  },
  "messages": [
    {
      "level": string,
      "message": string
    }
  ]
}
```
